<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Transfer extends Model
{
    use HasFactory;

    protected $fillable = [
        'invoice_id',
        'transfer_date',
        'receipt_date',
        'status',
        'notes',
    ];

    protected $casts = [
        'transfer_date' => 'date',
        'receipt_date' => 'date',
    ];

    public function invoice()
    {
        return $this->belongsTo(Invoice::class);
    }
}
