<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInvoicesTable extends Migration
{
    public function up()
    {
        Schema::create('invoices', function (Blueprint $table) {
            $table->id();
            $table->string('invoice_number')->unique();
            $table->foreignId('client_id')->constrained();
            $table->date('invoice_date');
            $table->enum('payment_type', ['cash', 'transfer', 'credit']);
            $table->decimal('gold_price', 15, 2);
            $table->decimal('total_weight', 10, 3)->default(0);
            $table->decimal('total_amount', 15, 2)->default(0);
            $table->decimal('total_gold', 15, 2)->default(0);
            $table->decimal('total_fees', 15, 2)->default(0);
            $table->decimal('grand_total', 15, 2)->default(0);
            $table->string('authorized_signature')->nullable();
            $table->string('client_signature')->nullable();
            $table->string('status')->default('new');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('invoices');
    }
}