<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePurchasesTable extends Migration
{
    public function up()
    {
        Schema::create('purchases', function (Blueprint $table) {
            $table->id();
            $table->string('supplier_name');
            $table->string('invoice_number');
            $table->date('invoice_date');
            $table->decimal('invoice_weight', 10, 3);
            $table->string('jewelry_type')->nullable();
            $table->string('alloy')->nullable();
            $table->decimal('total_amount', 15, 2);
            $table->string('transfer_status');
            $table->date('transfer_date')->nullable();
            $table->date('receipt_date')->nullable();
            $table->integer('year');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('purchases');
    }
}