<x-app-layout>
    <x-slot name="header">
        <div class="flex justify-between">
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                {{ __('تفاصيل الفاتورة') }}: {{ $invoice->invoice_number }}
            </h2>
            <div>
                <a href="{{ route('invoices.print', $invoice) }}" class="inline-flex items-center px-4 py-2 bg-green-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-green-700 mr-2" target="_blank">
                    {{ __('طباعة') }}
                </a>
                <a href="{{ route('invoices.edit', $invoice) }}" class="inline-flex items-center px-4 py-2 bg-indigo-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-indigo-700 mr-2">
                    {{ __('تعديل') }}
                </a>
                <a href="{{ route('invoices.index') }}" class="inline-flex items-center px-4 py-2 bg-gray-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700">
                    {{ __('عودة للقائمة') }}
                </a>
            </div>
        </div>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 bg-white border-b border-gray-200">
                    <div class="grid grid-cols-1 md:grid-cols-2 gap-6 mb-6">
                        <div>
                            <h3 class="text-lg font-semibold mb-4">{{ __('معلومات الفاتورة') }}</h3>
                            <table class="min-w-full divide-y divide-gray-200">
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('رقم الفاتورة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $invoice->invoice_number }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('تاريخ الفاتورة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $invoice->invoice_date->format('Y-m-d') }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('طريقة الدفع') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">
                                            @if($invoice->payment_type == 'cash')
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-green-100 text-green-800">
                                                    {{ __('نقدي') }}
                                                </span>
                                            @elseif($invoice->payment_type == 'transfer')
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-blue-100 text-blue-800">
                                                    {{ __('تحويل') }}
                                                </span>
                                            @else
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-yellow-100 text-yellow-800">
                                                    {{ $invoice->payment_type }}
                                                </span>
                                            @endif
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('سعر الذهب') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ number_format($invoice->gold_price, 2) }}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        
                        <div>
                            <h3 class="text-lg font-semibold mb-4">{{ __('معلومات الزبون') }}</h3>
                            <table class="min-w-full divide-y divide-gray-200">
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('الاسم') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $invoice->client->name }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('رقم الهاتف') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $invoice->client->phone ?? '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('العنوان') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $invoice->client->address ?? '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('رقم الإجازة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $invoice->client->license_number ?? '-' }}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="mb-6">
                        <h3 class="text-lg font-semibold mb-4">{{ __('بنود الفاتورة') }}</h3>
                        <div class="overflow-x-auto">
                            <table class="min-w-full divide-y divide-gray-200">
                                <thead class="bg-gray-50">
                                    <tr>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('#') }}</th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('التفاصيل') }}</th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('الوزن') }}</th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('العيار') }}</th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('الأجرة') }}</th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('المجموع') }}</th>
                                    </tr>
                                </thead>
                                <tbody class="bg-white divide-y divide-gray-200">
                                    @foreach($invoice->items as $index => $item)
                                    <tr>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ $index + 1 }}</td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ $item->details }}</td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ number_format($item->weight, 3) }}</td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ $item->caliber }}</td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ number_format($item->fees, 2) }}</td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ number_format($item->total, 2) }}</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="bg-gray-50 p-4 rounded-lg">
                        <h3 class="text-lg font-semibold mb-4">{{ __('ملخص الفاتورة') }}</h3>
                        <div class="grid grid-cols-1 md:grid-cols-2 gap-6">
                            <div>
                                <table class="min-w-full divide-y divide-gray-200">
                                    <tbody class="divide-y divide-gray-200">
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('إجمالي الوزن') }}</td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900">{{ number_format($invoice->total_weight, 3) }}</td>
                                        </tr>
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('إجمالي الأجور') }}</td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900">{{ number_format($invoice->total_fees, 2) }}</td>
                                        </tr>
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('إجمالي الذهب') }}</td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900">{{ number_format($invoice->total_gold, 2) }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div>
                                <table class="min-w-full divide-y divide-gray-200">
                                    <tbody class="divide-y divide-gray-200">
                                        <tr>
                                            <td class="px-6 py-3 text-right text-lg font-bold text-gray-800">{{ __('المبلغ الإجمالي') }}</td>
                                            <td class="px-6 py-3 text-right text-lg font-bold text-gray-800">{{ number_format($invoice->grand_total, 2) }}</td>
                                        </tr>
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('توقيع المدير المفوض') }}</td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $invoice->authorized_signature ?? 'علي نزار محمد' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('توقيع الزبون') }}</td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $invoice->client_signature ?? '-' }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    @if($invoice->payment_type == 'transfer' && count($invoice->transfers) > 0)
                    <div class="mt-6">
                        <h3 class="text-lg font-semibold mb-4">{{ __('الحوالات المرتبطة') }}</h3>
                        <div class="overflow-x-auto">
                            <table class="min-w-full divide-y divide-gray-200">
                                <thead class="bg-gray-50">
                                    <tr>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('#') }}</th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('تاريخ التحويل') }}</th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('تاريخ الاستلام') }}</th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('الحالة') }}</th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider">{{ __('الإجراءات') }}</th>
                                    </tr>
                                </thead>
                                <tbody class="bg-white divide-y divide-gray-200">
                                    @foreach($invoice->transfers as $index => $transfer)
                                    <tr>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ $index + 1 }}</td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ $transfer->transfer_date->format('Y-m-d') }}</td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ $transfer->receipt_date ? $transfer->receipt_date->format('Y-m-d') : '-' }}</td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900">{{ $transfer->status }}</td>
                                        <td class="px-6 py-4 text-right text-sm font-medium">
                                            <a href="{{ route('transfers.show', $transfer) }}" class="text-blue-600 hover:text-blue-900">{{ __('عرض') }}</a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
</x-app-layout>