<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('إضافة عملية شراء جديدة') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 bg-white border-b border-gray-200">
                    @if (session('error'))
                        <div class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded relative mb-4" role="alert">
                            <span class="block sm:inline">{{ session('error') }}</span>
                        </div>
                    @endif

                    <form method="POST" action="{{ route('purchases.store') }}">
                        @csrf

                        <div class="grid grid-cols-1 md:grid-cols-2 gap-4 mb-6">
                            <div>
                                <label for="supplier_name" class="block text-gray-700 text-sm font-bold mb-2">{{ __('اسم المجهز') }}</label>
                                <input id="supplier_name" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('supplier_name') border-red-500 @enderror" name="supplier_name" value="{{ old('supplier_name') }}" required>
                                @error('supplier_name')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>

                            <div>
                                <label for="invoice_number" class="block text-gray-700 text-sm font-bold mb-2">{{ __('رقم الفاتورة') }}</label>
                                <input id="invoice_number" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('invoice_number') border-red-500 @enderror" name="invoice_number" value="{{ old('invoice_number') }}" required>
                                @error('invoice_number')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>

                            <div>
                                <label for="invoice_date" class="block text-gray-700 text-sm font-bold mb-2">{{ __('تاريخ الفاتورة') }}</label>
                                <input id="invoice_date" type="date" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('invoice_date') border-red-500 @enderror" name="invoice_date" value="{{ old('invoice_date', date('Y-m-d')) }}" required>
                                @error('invoice_date')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>

                            <div>
                                <label for="invoice_weight" class="block text-gray-700 text-sm font-bold mb-2">{{ __('وزن الفاتورة') }}</label>
                                <input id="invoice_weight" type="number" step="0.001" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('invoice_weight') border-red-500 @enderror" name="invoice_weight" value="{{ old('invoice_weight') }}" required>
                                @error('invoice_weight')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>

                            <div>
                                <label for="jewelry_type" class="block text-gray-700 text-sm font-bold mb-2">{{ __('نوع المصاغ') }}</label>
                                <input id="jewelry_type" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('jewelry_type') border-red-500 @enderror" name="jewelry_type" value="{{ old('jewelry_type') }}">
                                @error('jewelry_type')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>

                            <div>
                                <label for="alloy" class="block text-gray-700 text-sm font-bold mb-2">{{ __('السبائك') }}</label>
                                <input id="alloy" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('alloy') border-red-500 @enderror" name="alloy" value="{{ old('alloy') }}">
                                @error('alloy')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>

                            <div>
                                <label for="total_amount" class="block text-gray-700 text-sm font-bold mb-2">{{ __('المبلغ الكلي') }}</label>
                                <input id="total_amount" type="number" step="0.01" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('total_amount') border-red-500 @enderror" name="total_amount" value="{{ old('total_amount') }}" required>
                                @error('total_amount')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>

                            <div>
                                <label for="transfer_status" class="block text-gray-700 text-sm font-bold mb-2">{{ __('حالة التحويل') }}</label>
                                <select id="transfer_status" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('transfer_status') border-red-500 @enderror" name="transfer_status" required>
                                    <option value="pending" {{ old('transfer_status') == 'pending' ? 'selected' : '' }}>{{ __('قيد الانتظار') }}</option>
                                    <option value="processing" {{ old('transfer_status') == 'processing' ? 'selected' : '' }}>{{ __('قيد المعالجة') }}</option>
                                    <option value="completed" {{ old('transfer_status') == 'completed' ? 'selected' : '' }}>{{ __('مكتمل') }}</option>
                                    <option value="failed" {{ old('transfer_status') == 'failed' ? 'selected' : '' }}>{{ __('فشل') }}</option>
                                </select>
                                @error('transfer_status')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>

                            <div>
                                <label for="transfer_date" class="block text-gray-700 text-sm font-bold mb-2">{{ __('تاريخ التحويل') }}</label>
                                <input id="transfer_date" type="date" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('transfer_date') border-red-500 @enderror" name="transfer_date" value="{{ old('transfer_date') }}">
                                @error('transfer_date')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>

                            <div>
                                <label for="receipt_date" class="block text-gray-700 text-sm font-bold mb-2">{{ __('تاريخ الاستلام') }}</label>
                                <input id="receipt_date" type="date" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline @error('receipt_date') border-red-500 @enderror" name="receipt_date" value="{{ old('receipt_date') }}">
                                @error('receipt_date')
                                    <p class="text-red-500 text-xs italic mt-1">{{ $message }}</p>
                                @enderror
                            </div>
                        </div>

                        <div class="flex items-center justify-between">
                            <button type="submit" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
                                {{ __('إضافة عملية الشراء') }}
                            </button>
                            <a href="{{ route('purchases.index') }}" class="inline-block align-baseline font-bold text-sm text-blue-500 hover:text-blue-800">
                                {{ __('إلغاء') }}
                            </a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>