<x-app-layout>
    <x-slot name="header">
        <div class="flex justify-between">
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                {{ __('تفاصيل عملية الشراء') }}
            </h2>
            <div>
                <a href="{{ route('purchases.edit', $purchase) }}" class="inline-flex items-center px-4 py-2 bg-indigo-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-indigo-700 mr-2">
                    {{ __('تعديل') }}
                </a>
                <a href="{{ route('purchases.index') }}" class="inline-flex items-center px-4 py-2 bg-gray-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700">
                    {{ __('عودة للقائمة') }}
                </a>
            </div>
        </div>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 bg-white border-b border-gray-200">
                    <div class="grid grid-cols-1 md:grid-cols-2 gap-6 mb-6">
                        <div>
                            <h3 class="text-lg font-semibold mb-4">{{ __('معلومات المورد والفاتورة') }}</h3>
                            <table class="min-w-full divide-y divide-gray-200">
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('اسم المجهز') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $purchase->supplier_name }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('رقم الفاتورة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $purchase->invoice_number }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('تاريخ الفاتورة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $purchase->invoice_date->format('Y-m-d') }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('السنة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $purchase->year }}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        
                        <div>
                            <h3 class="text-lg font-semibold mb-4">{{ __('تفاصيل البضاعة والمبلغ') }}</h3>
                            <table class="min-w-full divide-y divide-gray-200">
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('وزن الفاتورة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ number_format($purchase->invoice_weight, 3) }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('نوع المصاغ') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $purchase->jewelry_type ?? '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('السبائك') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $purchase->alloy ?? '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('المبلغ الكلي') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900 font-bold">{{ number_format($purchase->total_amount, 2) }}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="mt-6">
                        <h3 class="text-lg font-semibold mb-4">{{ __('معلومات التحويل') }}</h3>
                        <table class="min-w-full divide-y divide-gray-200">
                            <tbody class="bg-white divide-y divide-gray-200">
                                <tr>
                                    <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('حالة التحويل') }}</td>
                                    <td class="px-6 py-3 text-right text-sm text-gray-900">
                                        @if($purchase->transfer_status == 'completed')
                                            <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-green-100 text-green-800">
                                                {{ $purchase->transfer_status }}
                                            </span>
                                        @elseif($purchase->transfer_status == 'pending')
                                            <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-yellow-100 text-yellow-800">
                                                {{ $purchase->transfer_status }}
                                            </span>
                                        @elseif($purchase->transfer_status == 'failed')
                                            <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-red-100 text-red-800">
                                                {{ $purchase->transfer_status }}
                                            </span>
                                        @else
                                            <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-gray-100 text-gray-800">
                                                {{ $purchase->transfer_status }}
                                            </span>
                                        @endif
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('تاريخ التحويل') }}</td>
                                    <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $purchase->transfer_date ? $purchase->transfer_date->format('Y-m-d') : '-' }}</td>
                                </tr>
                                <tr>
                                    <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('تاريخ الاستلام') }}</td>
                                    <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $purchase->receipt_date ? $purchase->receipt_date->format('Y-m-d') : '-' }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>