<x-app-layout>
    <x-slot name="header">
        <div class="flex justify-between">
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                {{ __('تفاصيل الحوالة') }}
            </h2>
            <div>
                <a href="{{ route('transfers.edit', $transfer) }}" class="inline-flex items-center px-4 py-2 bg-indigo-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-indigo-700 mr-2">
                    {{ __('تعديل') }}
                </a>
                <a href="{{ route('transfers.index') }}" class="inline-flex items-center px-4 py-2 bg-gray-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700">
                    {{ __('عودة للقائمة') }}
                </a>
            </div>
        </div>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 bg-white border-b border-gray-200">
                    <div class="grid grid-cols-1 md:grid-cols-2 gap-6 mb-6">
                        <div>
                            <h3 class="text-lg font-semibold mb-4">{{ __('معلومات الحوالة') }}</h3>
                            <table class="min-w-full divide-y divide-gray-200">
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('تاريخ التحويل') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $transfer->transfer_date->format('Y-m-d') }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('تاريخ الاستلام') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $transfer->receipt_date ? $transfer->receipt_date->format('Y-m-d') : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('الحالة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">
                                            @if($transfer->status == 'completed')
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-green-100 text-green-800">
                                                    {{ $transfer->status }}
                                                </span>
                                            @elseif($transfer->status == 'pending')
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-yellow-100 text-yellow-800">
                                                    {{ $transfer->status }}
                                                </span>
                                            @elseif($transfer->status == 'failed')
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-red-100 text-red-800">
                                                    {{ $transfer->status }}
                                                </span>
                                            @else
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-gray-100 text-gray-800">
                                                    {{ $transfer->status }}
                                                </span>
                                            @endif
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('ملاحظات') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $transfer->notes ?? '-' }}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        
                        <div>
                            <h3 class="text-lg font-semibold mb-4">{{ __('معلومات الفاتورة') }}</h3>
                            <table class="min-w-full divide-y divide-gray-200">
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('رقم الفاتورة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">
                                            <a href="{{ route('invoices.show', $transfer->invoice) }}" class="text-blue-600 hover:text-blue-900">
                                                {{ $transfer->invoice->invoice_number }}
                                            </a>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('تاريخ الفاتورة') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ $transfer->invoice->invoice_date->format('Y-m-d') }}</td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('الزبون') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">
                                            <a href="{{ route('clients.show', $transfer->invoice->client) }}" class="text-blue-600 hover:text-blue-900">
                                                {{ $transfer->invoice->client->name }}
                                            </a>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500">{{ __('المبلغ الإجمالي') }}</td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">{{ number_format($transfer->invoice->grand_total, 2) }}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>